import App from './App'

import request from 'common/request.js'
import common from 'common/common.js'


Vue.prototype.$http = request.http
Vue.prototype.$request =request
Vue.prototype.$common =common
Vue.config.productionTip = false

import share from '@/static/js/share.js'

Vue.mixin(share)
//https://blog.csdn.net/qq_35432904/article/details/106330079 分享
// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif

// Vue全局处理undefined和null转为空白字符串
Vue.prototype.$praseStrEmpty = function(str) {
    if (typeof str === 'undefined' || str === null) {
        return "";
    }
    return str;
}

// 防止多次点击
Vue.prototype.$noMultipleClicks = common.noMultipleClicks;
